Core - Bug # 56895

Task # 51436 (Resolved): Standalone unit test runner

Status: Closed Priority: Should have
Author: Anja Leichsenring Category: Unit/Functional Tests
Created: 2014-03-14 Assigned To: Anja Leichsenring
Updated: 2014-03-16 Due date:

TYPOS3 Version: 6.2

PHP Version: 54

Complexity: easy

Is Regression: No

Sprint Focus:

Subject: Tests: Incomplete mocking in ext:scheduler

Description

Use getMock() instead of new() to create the test subject in order to

suppress execution of __construct() of parent SchedulerModuleController.

History

#1 - 2014-03-14 09:15 - Gerrit Code Review
- Status changed from New to Under Review

Patch set 1 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.

It is available at https://review.typo3.0rg/28375

#2 - 2014-03-14 09:16 - Gerrit Code Review

Patch set 2 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.

It is available at https://review.typo3.0rg/28375

#3 - 2014-03-14 09:20 - Anja Leichsenring

- Status changed from Under Review to Closed

duplicate of #56894

#4 - 2014-03-16 00:37 - Christian Kuhn
- % Done changed from 0 to 100
